# Uses of Class
java.rmi.dgc.VMID

Packages that use VMID
Package
Description
java.rmi.dgc
Provides classes and interface for RMI distributed garbage-collection (DGC).

## Uses of VMID in java.rmi.dgc

Methods in java.rmi.dgc that return VMID
Modifier and Type
Method
Description
`VMID`
Lease.`getVMID()`
Returns the client VMID associated with the lease.
Methods in java.rmi.dgc with parameters of type VMID
Modifier and Type
Method
Description
`void`
DGC.`clean(ObjID[] ids, long sequenceNum, VMID vmid, boolean strong)`
The clean call removes the 'vmid' from the reference list of each remote object indicated in 'id's.
Constructors in java.rmi.dgc with parameters of type VMID
Modifier
Constructor
Description
``
`Lease(VMID id, long duration)`
Constructs a lease with a specific VMID and lease duration.